## BraseroTrackDisc

BraseroTrackDisc

## Functions

BraseroTrackDisc * | brasero_track_disc_new ()
BraseroBurnResult | brasero_track_disc_set_drive ()
BraseroDrive * | brasero_track_disc_get_drive ()
BraseroBurnResult | brasero_track_disc_set_track_num ()
guint | brasero_track_disc_get_track_num ()
BraseroMedia | brasero_track_disc_get_medium_type ()

## Types and Values

struct | BraseroTrackDisc

## Object Hierarchy

        GObject
        ╰── BraseroTrack
            ╰── BraseroTrackDisc

## Description

## Functions

### brasero_track_disc_new ()

    BraseroTrackDisc *
    brasero_track_disc_new (void);

Creates a new BraseroTrackDisc object.

This type of tracks is used to copy media either to a disc image file or to another medium.

#### Returns

a BraseroTrackDisc.

### brasero_track_disc_set_drive ()

    BraseroBurnResult
    brasero_track_disc_set_drive (BraseroTrackDisc *track,
                                  BraseroDrive *drive);

Sets `drive` to be the BraseroDrive that will be used as the source when copying

#### Parameters

track | a BraseroTrackDisc |
drive | a BraseroDrive |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if it was successful, BRASERO_BURN_ERR otherwise.

### brasero_track_disc_get_drive ()

    BraseroDrive *
    brasero_track_disc_get_drive (BraseroTrackDisc *track);

Gets the BraseroDrive object that will be used as the source when copying.

#### Parameters

track | a BraseroTrackDisc |

#### Returns

a BraseroDrive or NULL. Don't unref or free it.

### brasero_track_disc_set_track_num ()

    BraseroBurnResult
    brasero_track_disc_set_track_num (BraseroTrackDisc *track,
                                      guint num);

Sets a track number which can be used to copy only one specific session on a multisession disc

#### Parameters

track | a BraseroTrackDisc |
num | a guint |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if it was successful, BRASERO_BURN_ERR otherwise.

### brasero_track_disc_get_track_num ()

    guint
    brasero_track_disc_get_track_num (BraseroTrackDisc *track);

Gets the track number which will be used to copy only one specific session on a multisession disc

#### Parameters

track | a BraseroTrackDisc |

#### Returns

a guint. 0 if none is set, any other number otherwise.

### brasero_track_disc_get_medium_type ()

    BraseroMedia
    brasero_track_disc_get_medium_type (BraseroTrackDisc *track);

Gets the BraseroMedia for the medium that is currently inserted into the drive assigned for `track` with `brasero_track_disc_set_drive()`.

#### Parameters

track | a BraseroTrackDisc |

#### Returns

a BraseroMedia.

## Types and Values

### struct BraseroTrackDisc

    struct BraseroTrackDisc;